{% extends 'base/base.html' %}

{% block content %}

{% load static %}
<!--<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script>
    $(".btn").onclick(function(){
        $(this).css("background-color", "#1E3C75");
    });
    $(".btn").hover(function(){
        $(this).css("background-color", "#AD2828");
    });
</script>-->


<div class="container">
    <div class="row">
        <div class="col-lg-8 col-sm-12 col-xs-12">
            <h1 style="font-size: 60px; padding: 50px 0 0 0">Beri Semangat</h1>
            <p style="font-size: 20px; padding: 8px 0 0 0; text-align: justify;">Untuk teman-teman, keluarga dan orang di<br>sekeliling mu! Ayo bareng-bareng kita lewatin<br>masa sulit ini.</p>
            <a href="{% url 'semangatpage:findauthor' %}" id="kata">Klik disini untuk mencari kata semangat bersadarkan penulis</a>
        </div>
        <div class="col-lg-4 col-sm-12 col-xs-12">
            <br><br><br><br>
            <a href="{% url 'semangatpage:addsemangat' %}" class="btn btn-primary active" role="button" aria-pressed="true" style="background-color: #72C3B3; padding: 23px 49px; font-size: 35px; font-weight: 700; border-radius: 12px;">Tambah</a>
        </div>
    </div>
</div>

<br><br>
{% for form in semangat %}
{% if forloop.counter0|divisibleby:"3" %}
<div class="row row-cols-1 row-cols-md-3 post" style="padding: 5px 60px">
{% endif %}
    <div class="col mb-3">
        <div class="card" style="font-family: 'Montserrat', sans-serif; font-size: 18px; font-weight: 500; padding: 12px; border-radius: 20px; text-align: center">
            {{ form.katasemangat }}<br>
            {{ form.author }}
        </div>
    </div>
{% if forloop.counter|divisibleby:"3" %}
</div>
{% endif %}
{% endfor %}

{% endblock content %}
